အကြောင်းအရာသို့ ကျော်ရန်

Ltx 2.3 Quality · Text to Video

ပေါင်းစည်းရန်

မော်ဒယ် id ltx-2.3-quality/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-quality/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၀.၂၇ $ ၂၇၀ API ခရက်ဒစ် · ≈ ၂၉.၀၅ ₽ လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Lightricks စာသားမှ ဗီဒီယို မူရင်းအသံ #text-to-video#video

ရွေးချယ်နိုင်သော အသံလမ်းကြောင်း၊ ဖရိမ် 481 ခုအထိ၊ မူကြိုသတ်မှတ်အရွယ်အစား 6 မျိုးနှင့် ချိန်ညှိနိုင်သော inference အဆင့်များပါဝင်သည့် Text-to-video

Lightricks · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ဗီဒီယိုဖန်တီးမှုအတွက် အခြေခံအဖြစ် အသုံးပြုသော ပရောမ့်။

resolution မူလ landscape_16_9

ဖန်တီးထားသောဗီဒီယို၏ အရွယ်အစား။

မူလ 121

ဖန်တီးထားသော ထွက်ရလဒ်၏ ဖရိမ်အရေအတွက်။

အဆင့်မြင့် negative_prompt · video_quality · video_write_mode · frames_per_second · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
မူလ color distortion, ove...

ဖန်တီးမှုတွင် ရှောင်ရှားရမည့်အရာများကို သတ်မှတ်သည့် အနုတ်လက္ခဏာပရောမ့်။

video_quality မူလ high

ထွက်ရလဒ်ဗီဒီယိုတွင် အသုံးပြုသည့် အရည်အသွေးကြိုတင်သတ်မှတ်ချက်။

video_write_mode မူလ balanced

ရရှိလာမည့် ဗီဒီယို၏ ရေးသားမှုမုဒ်။

မူလ 24

တစ်စက္ကန့်လျှင် ဖရိမ်အရေအတွက်ဖြင့် တိုင်းတာသော ထွက်ရလဒ်ဗီဒီယို ဖရိမ်နှုန်း။

မူလ 15

လုပ်ဆောင်မည့် inference အဆင့်အရေအတွက်ကို သတ်မှတ်ပါ။ အများဆုံး 30 ဖြစ်ပြီး မပြောင်းလဲပါက 15 ကို အသုံးပြုသည်။

မူလ 1

ဤစကေးဖြင့် classifier-free guidance ကို ချိန်ညှိပါ။ မူလချိန်ညှိမှုသည် အရည်အသွေးမြင့်မားခြင်းနှင့် ဖန်တီးမှုမြန်ဆန်ခြင်း နှစ်ခုစလုံးကို ရည်ရွယ်သည်။

ဖန်တီးမှုကို ထပ်တူပြန်လည်ပြုလုပ်နိုင်စေသည့် seed။ None သတ်မှတ်ပါက seed ကို ကျပန်းရွေးချယ်သည်။

POST /run/ltx-2.3-quality/text-to-video?wait=20 ကုန်ကျစရိတ် → ၀.၂၇ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-quality/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Ltx 2.3 Quality · Text to Video အကြောင်း

စာသား `prompt` မှ ဗီဒီယိုအပိုင်းကို ဖန်တီးသည်။ `num_frames` သည် 9 မှ 481 အထိ၊ `frames_per_second` သည် 1 မှ 60 အထိ ဖြစ်သည်။ ထွက်ရလဒ်အရွယ်အစားကို `square_hd`၊ `portrait_16_9` နှင့် `landscape_16_9` ကဲ့သို့ ကြိုတင်သတ်မှတ်ချက်များမှ ရွေးချယ်သည်။ အသံမပါသော MP4 ရရှိရန် `generate_audio` ကို ပိတ်နိုင်ပြီး `num_inference_steps` ကို 15 မှ 30 အထိ တိုးမြှင့်နိုင်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ဗီဒီယိုဖန်တီးမှုအတွက် အခြေခံအဖြစ် အသုံးပြုသော ပရောမ့်။
num_framesရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး121
၉ – ၄၈၁
ဖန်တီးထားသော ထွက်ရလဒ်၏ ဖရိမ်အရေအတွက်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားobject
မူလတန်ဖိုးlandscape_16_9
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ဖန်တီးထားသောဗီဒီယို၏ အရွယ်အစား။
frames_per_secondရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး24
၁ – ၆၀
တစ်စက္ကန့်လျှင် ဖရိမ်အရေအတွက်ဖြင့် တိုင်းတာသော ထွက်ရလဒ်ဗီဒီယို ဖရိမ်နှုန်း။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး15
၈ – ၃၀
လုပ်ဆောင်မည့် inference အဆင့်အရေအတွက်ကို သတ်မှတ်ပါ။ အများဆုံး 30 ဖြစ်ပြီး မပြောင်းလဲပါက 15 ကို အသုံးပြုသည်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၁ – ၂၀
ဤစကေးဖြင့် classifier-free guidance ကို ချိန်ညှိပါ။ မူလချိန်ညှိမှုသည် အရည်အသွေးမြင့်မားခြင်းနှင့် ဖန်တီးမှုမြန်ဆန်ခြင်း နှစ်ခုစလုံးကို ရည်ရွယ်သည်။
generate_audioရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ပြန်ပေးမည့် MP4 အတွက် အသံလမ်းကြောင်း ခလုတ်: ပိတ်ထားပါက ဗီဒီယိုသီးသန့်ဖိုင် ထုတ်ပေးပြီး ဖွင့်ထားပါက အသံပါဝင်သည်။
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုးcolor distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards
ဖန်တီးမှုတွင် ရှောင်ရှားရမည့်အရာများကို သတ်မှတ်သည့် အနုတ်လက္ခဏာပရောမ့်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ဖန်တီးမှုကို ထပ်တူပြန်လည်ပြုလုပ်နိုင်စေသည့် seed။ None သတ်မှတ်ပါက seed ကို ကျပန်းရွေးချယ်သည်။
enable_prompt_expansionရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ပရောမ့်ချဲ့ထွင်မှု ဖွင့်ထားခြင်း ရှိ၊ မရှိ ထိန်းချုပ်သည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှု ဖွင့်ထားခြင်း ရှိ၊ မရှိ ထိန်းချုပ်သည်။
video_qualityရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးhigh
lowmediumhighmaximum
ထွက်ရလဒ်ဗီဒီယိုတွင် အသုံးပြုသည့် အရည်အသွေးကြိုတင်သတ်မှတ်ချက်။
video_write_modeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးbalanced
fastbalancedsmall
ရရှိလာမည့် ဗီဒီယို၏ ရေးသားမှုမုဒ်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-quality/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}မော်ဒယ်မှ ထုတ်လုပ်ထားသော ဗီဒီယို။
seed
integerဖန်တီးမှုအတွင်း အမှန်တကယ် အသုံးပြုသည့် seed။
prompt
stringအသုံးမပြုမီ ချဲ့ထွင်ထားသည့် အကြောင်းအရာများပါဝင်သော ဖန်တီးမှုပရောမ့်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/ltx-2.3-quality/text-to-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt